Bug 1284829 - Update the Configuration guide with Glusterfs+Openstack(Nova/Glance)
Update the Configuration guide with Glusterfs+Openstack(Nova/Glance)
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Configuring_Red_Hat_OpenStack_with_Red_Hat_Storage (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: storage-doc
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 05:04 EST by Anjana Suparna Sriram
Modified: 2016-01-26 23:53 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 23:53:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anjana Suparna Sriram 2015-11-24 05:04:13 EST
Description of problem:https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3/html-single/Configuring_Red_Hat_OpenStack_with_Red_Hat_Storage/index.html needs to be updated for Glusterfs+Openstack(Nova/Glance) 


Additional info: QE reviewed the guide and provided the following:

Hi Anjana,

comments are given below 

1. Under Advantages of integration: Cinder is mentioned but QA didn't fully qualified it, would be better to add nova under this section 
2. QA qualified with RHELOSP 7.0 
3. Currently there is open issue with selinux so i am not sure still we need to keep "SETTING SELINUX BOOLEANS" section
4. QA didn't qualify cinder (Block storage) fully but it is mentioned under "Creating Volumes"
5. QA did't qualify cinder fully but document has "CONFIGURING OPENSTACK BLOCK STORAGE TO USE RED HAT STORAGE VOLUME" section
6. Specify the location for filesystem_store_datadir by updating the /etc/glance/glance-api.conf as fallows (File location is missing in the document)
7. Verify that the nova instance was created on the Red Hat Storage volumes as follows wrong command output mentioned Use the fallowing out put 


[root@rhs-client9 ~(keystone_admin)]# nova boot --image 38b4dd61-599d-4a12-b7ac-da4799bd2d46  --key admin_key --flavor m1.small --nic net-id=7bbe23ec-4f35-47fe-a1b3-be89875feb81 --poll Nova_instance 
+--------------------------------------+-----------------------------------------------------+
| Property                             | Value                                               |
+--------------------------------------+-----------------------------------------------------+
| OS-DCF:diskConfig                    | MANUAL                                              |
| OS-EXT-AZ:availability_zone          |                                                     |
| OS-EXT-SRV-ATTR:host                 | -                                                   |
| OS-EXT-SRV-ATTR:hypervisor_hostname  | -                                                   |
| OS-EXT-SRV-ATTR:instance_name        | instance-0000003e                                   |
| OS-EXT-STS:power_state               | 0                                                   |
| OS-EXT-STS:task_state                | scheduling                                          |
| OS-EXT-STS:vm_state                  | building                                            |
| OS-SRV-USG:launched_at               | -                                                   |
| OS-SRV-USG:terminated_at             | -                                                   |
| accessIPv4                           |                                                     |
| accessIPv6                           |                                                     |
| adminPass                            | kyiH65oooj7L                                        |
| config_drive                         |                                                     |
| created                              | 2015-11-19T10:47:21Z                                |
| flavor                               | m1.small (2)                                        |
| hostId                               |                                                     |
| id                                   | 17c0d480-9161-4ab1-9742-daa03ee8aa58                |
| image                                | afr_centos_1 (38b4dd61-599d-4a12-b7ac-da4799bd2d46) |
| key_name                             | admin_key                                           |
| metadata                             | {}                                                  |
| name                                 | Nova_instance                                       |
| os-extended-volumes:volumes_attached | []                                                  |
| progress                             | 0                                                   |
| security_groups                      | default                                             |
| status                               | BUILD                                               |
| tenant_id                            | 7b98f87e355d48208bbc3606032a3e9a                    |
| updated                              | 2015-11-19T10:47:22Z                                |
| user_id                              | 109322197a514bebbe0d83e7f2b5b77c                    |
+--------------------------------------+-----------------------------------------------------+

Thanks,
Rajesh

Note You need to log in before you can comment on or make changes to this bug.